Bug 1826625 - Improve performance of externalNodes
Summary: Improve performance of externalNodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.6.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.8.0
Assignee: Lukas Zapletal
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-22 07:13 UTC by Pavel Moravec
Modified: 2020-10-27 13:02 UTC (History)
6 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1851163 (view as bug list)
Environment:
Last Closed: 2020-10-27 13:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29582 0 Normal Closed Improve performance of externalNodes 2020-10-28 17:38:20 UTC
Github theforeman foreman pull 7599 0 None closed Fixes #29582 - Improve performance of externalNodes 2020-10-28 17:38:19 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:02:29 UTC

Description Pavel Moravec 2020-04-22 07:13:33 UTC
Description of problem:
A puppet client run triggers two HostsController#externalNodes requests. It was observed that processing such a request is sometimes very inefficient, taking >2s on average in a real production.

Lzap++ did an analysis in optimizing the code, as summarized in https://github.com/theforeman/foreman/pull/7599 . Based on the scope of code changes, the performance boost can be 9-14times.


Please backport it to 6.7 and add to 6.8.


Version-Release number of selected component (if applicable):
Sat 6.7


How reproducible:
100% on a scaled system

Steps to Reproduce:
1. See generic reproducer (plus particular one for upstream (only?) in https://github.com/theforeman/foreman/pull/7599


Actual results:


Expected results:


Additional info:

Comment 4 Bryan Kearney 2020-04-23 21:03:25 UTC
Upstream bug assigned to lzap@redhat.com

Comment 5 Bryan Kearney 2020-04-23 21:03:27 UTC
Upstream bug assigned to lzap@redhat.com

Comment 6 Bryan Kearney 2020-05-04 16:52:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29582 has been resolved.

Comment 7 Ewoud Kohl van Wijngaarden 2020-06-02 13:31:48 UTC
While the linked issue was merged (and is a good improvement), I've filed https://tickets.puppetlabs.com/browse/SERVER-2818 since Puppet is supposed to only call the ENC script once but calls it twice. Fixing this would greatly reduce the number of calls coming in.

Comment 11 errata-xmlrpc 2020-10-27 13:02:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.